﻿USE [mbs6content]
GO
/****** Object:  Table [dbo].[tblDynamicContent]    Script Date: 11/3/2012 1:26:06 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblDynamicContent](
	[MetaGUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[MetaID] [nvarchar](50) NULL,
	[MetaNo] [nvarchar](50) NULL,
	[MetaMatchcode] [nvarchar](2000) NULL,
	[MetaName] [nvarchar](500) NOT NULL,
	[MetaDescription] [nvarchar](2000) NULL,
	[MetaCategory] [nvarchar](500) NULL,
	[MetaCreatedBy] [uniqueidentifier] NOT NULL,
	[MetaCreatedAt] [datetime] NOT NULL,
	[MetaModyfiedBy] [uniqueidentifier] NOT NULL,
	[MetaModyfiedAt] [datetime] NOT NULL,
	[MetaDeletedBy] [uniqueidentifier] NULL,
	[MetaDeletedAt] [datetime] SPARSE  NULL,
	[MetaTrashState] [int] NOT NULL,
	[MetaItemCheckedBy] [uniqueidentifier] NULL,
	[MetaItemCheckedDate] [datetime] NULL,
	[MetaItemCheckState] [bit] NOT NULL,
	[MetaContentTypeGUID] [uniqueidentifier] NOT NULL,
	[MetaMandantGUID] [uniqueidentifier] NOT NULL,
	[MetaLanguageGUID] [uniqueidentifier] NULL,
	[MetaBaseUrl] [nvarchar](2000) SPARSE  NULL,
	[MetaParentItemGUID] [uniqueidentifier] NULL,
	[MetaGlobalItemGUID] [uniqueidentifier] NULL,
	[MetaApplicationConfigGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblDynamicContent] PRIMARY KEY CLUSTERED 
(
	[MetaGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblExtensibilityContent]    Script Date: 11/3/2012 1:26:06 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblExtensibilityContent](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ExtensibleObjectGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) SPARSE  NULL,
	[Prop1] [nvarchar](2000) SPARSE  NULL,
	[Prop2] [nvarchar](2000) SPARSE  NULL,
	[Prop3] [nvarchar](2000) SPARSE  NULL,
	[Prop4] [nvarchar](2000) SPARSE  NULL,
	[Prop5] [nvarchar](2000) SPARSE  NULL,
	[Prop6] [nvarchar](2000) SPARSE  NULL,
	[Prop7] [nvarchar](2000) SPARSE  NULL,
	[Prop8] [nvarchar](2000) SPARSE  NULL,
	[Prop9] [nvarchar](2000) SPARSE  NULL,
	[Prop10] [nvarchar](2000) SPARSE  NULL,
	[Prop11] [nvarchar](2000) SPARSE  NULL,
	[Prop12] [nvarchar](2000) SPARSE  NULL,
	[Prop13] [nvarchar](2000) SPARSE  NULL,
	[Prop14] [nvarchar](2000) SPARSE  NULL,
	[Prop15] [nvarchar](2000) SPARSE  NULL,
	[Prop16] [nvarchar](2000) SPARSE  NULL,
	[Prop17] [nvarchar](2000) SPARSE  NULL,
	[Prop18] [nvarchar](2000) SPARSE  NULL,
	[Prop19] [nvarchar](2000) SPARSE  NULL,
	[Prop20] [nvarchar](2000) SPARSE  NULL,
	[Prop21] [nvarchar](2000) SPARSE  NULL,
	[Prop22] [nvarchar](2000) SPARSE  NULL,
	[Prop23] [nvarchar](2000) SPARSE  NULL,
	[Prop24] [nvarchar](2000) SPARSE  NULL,
	[Prop25] [nvarchar](2000) SPARSE  NULL,
 CONSTRAINT [PK_tblExtensibilityContent] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblReferences]    Script Date: 11/3/2012 1:26:06 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblReferences](
	[LeftGUID] [uniqueidentifier] NOT NULL,
	[RightGUID] [uniqueidentifier] NOT NULL,
	[RelatedContentTypeGUID] [uniqueidentifier] NOT NULL,
	[PredicateGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblReferences] PRIMARY KEY CLUSTERED 
(
	[LeftGUID] ASC,
	[RightGUID] ASC,
	[RelatedContentTypeGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblTaxonomyReference]    Script Date: 11/3/2012 1:26:06 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblTaxonomyReference](
	[ContentGUID] [uniqueidentifier] NOT NULL,
	[TaxonomyGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[TableGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblTaxonomyReference] PRIMARY KEY CLUSTERED 
(
	[ContentGUID] ASC,
	[TaxonomyGUID] ASC,
	[TableGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblDynamicContent] ADD  CONSTRAINT [DF_tblDynamicContent_MetaGUID]  DEFAULT (newid()) FOR [MetaGUID]
GO
ALTER TABLE [dbo].[tblDynamicContent] ADD  CONSTRAINT [DF_tblDynamicContent_MetaTrashState]  DEFAULT ((0)) FOR [MetaTrashState]
GO
ALTER TABLE [dbo].[tblDynamicContent] ADD  CONSTRAINT [DF_tblDynamicContent_MetaItemCheckState]  DEFAULT ((1)) FOR [MetaItemCheckState]
GO
ALTER TABLE [dbo].[tblExtensibilityContent] ADD  CONSTRAINT [DF_tblExtensibilityContent_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblReferences]  WITH CHECK ADD  CONSTRAINT [FK_tblReferences_tblDynamicContent] FOREIGN KEY([LeftGUID])
REFERENCES [dbo].[tblDynamicContent] ([MetaGUID])
GO
ALTER TABLE [dbo].[tblReferences] CHECK CONSTRAINT [FK_tblReferences_tblDynamicContent]
GO
ALTER TABLE [dbo].[tblReferences]  WITH CHECK ADD  CONSTRAINT [FK_tblReferences_tblDynamicContent1] FOREIGN KEY([RightGUID])
REFERENCES [dbo].[tblDynamicContent] ([MetaGUID])
GO
ALTER TABLE [dbo].[tblReferences] CHECK CONSTRAINT [FK_tblReferences_tblDynamicContent1]
GO
ALTER TABLE [dbo].[tblTaxonomyReference]  WITH CHECK ADD  CONSTRAINT [FK_tblTaxonomyReference_tblDynamicContent] FOREIGN KEY([ContentGUID])
REFERENCES [dbo].[tblDynamicContent] ([MetaGUID])
GO
ALTER TABLE [dbo].[tblTaxonomyReference] CHECK CONSTRAINT [FK_tblTaxonomyReference_tblDynamicContent]
GO
