﻿USE [mbs6globalization]
GO
/****** Object:  Table [dbo].[tblContinent]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblContinent](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblContinent_1] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblCountry]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblCountry](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ContinentGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblCountry_1] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblInterfaceLabel]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblInterfaceLabel](
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[LabelGUID] [uniqueidentifier] NOT NULL,
	[DE] [nvarchar](500) NULL,
	[EN] [nvarchar](500) NULL,
	[FR] [nvarchar](500) NULL,
	[ZH] [nvarchar](500) NULL,
	[ES] [nvarchar](500) NULL,
	[RU] [nvarchar](500) NULL,
	[JA] [nvarchar](500) NULL,
	[AR] [nvarchar](500) NULL,
	[HI] [nvarchar](500) NULL,
	[BN] [nvarchar](500) NULL,
	[PT] [nvarchar](500) NULL,
 CONSTRAINT [PK_tblInterfaceLabel] PRIMARY KEY CLUSTERED 
(
	[PrincipalGUID] ASC,
	[LabelGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblLanguage]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblLanguage](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[LCID] [int] NOT NULL,
	[Locale] [nvarchar](10) NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblLanguage] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblLanguageLabel]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblLanguageLabel](
	[LanguageGUID] [uniqueidentifier] NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblLanguageLabel] PRIMARY KEY CLUSTERED 
(
	[LanguageGUID] ASC,
	[ReferenceGUID] ASC,
	[PrincipalGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblUILabel]    Script Date: 11/17/2012 11:32:51 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblUILabel](
	[GUID] [uniqueidentifier] NOT NULL,
	[LabelID] [nvarchar](500) NULL,
	[DE] [nvarchar](500) NULL,
	[EN] [nvarchar](500) NULL,
	[FR] [nvarchar](500) NULL,
	[ZH] [nvarchar](500) NULL,
	[ES] [nvarchar](500) NULL,
	[RU] [nvarchar](500) NULL,
	[JA] [nvarchar](500) NULL,
	[AR] [nvarchar](500) NULL,
	[HI] [nvarchar](500) NULL,
	[BN] [nvarchar](500) NULL,
	[PT] [nvarchar](500) NULL,
 CONSTRAINT [PK_tblUILabel] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblCountry] ADD  CONSTRAINT [DF_tblCountry_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblLanguage] ADD  CONSTRAINT [DF_tblLanguage_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblCountry]  WITH CHECK ADD  CONSTRAINT [FK_tblCountry_tblContinent] FOREIGN KEY([ContinentGUID])
REFERENCES [dbo].[tblContinent] ([GUID])
GO
ALTER TABLE [dbo].[tblCountry] CHECK CONSTRAINT [FK_tblCountry_tblContinent]
GO
ALTER TABLE [dbo].[tblLanguageLabel]  WITH CHECK ADD  CONSTRAINT [FK_tblLanguageLabel_tblLanguage] FOREIGN KEY([LanguageGUID])
REFERENCES [dbo].[tblLanguage] ([GUID])
GO
ALTER TABLE [dbo].[tblLanguageLabel] CHECK CONSTRAINT [FK_tblLanguageLabel_tblLanguage]
GO
